Page MenuHomePhabricator

Deprecate `botedits` in favor of `bot`
Closed, ResolvedPublic

Description

Per https://phabricator.wikimedia.org/T231590#5564599 we want to have count types be consistent with the filter types on history.

So, we need to make bot be a synonym for botedits and then deprecate botedits.

Details

Related Gerrit Patches:
mediawiki/tools/api-testing : masterRename REST history count types
mediawiki/core : masterRename/deprecate some REST history count types

Event Timeline

Change 546197 had a related patch set uploaded (by BPirkle; owner: BPirkle):
[mediawiki/core@master] Rename/deprecate some REST history count types

https://gerrit.wikimedia.org/r/546197

BPirkle claimed this task.Oct 25 2019, 3:28 PM
BPirkle added a subscriber: Pchelolo.
BPirkle updated the task description. (Show Details)Oct 25 2019, 3:58 PM

Note: integration tests should be updated as well.

Change 546197 merged by jenkins-bot:
[mediawiki/core@master] Rename/deprecate some REST history count types

https://gerrit.wikimedia.org/r/546197

apaskulin updated the task description. (Show Details)Oct 30 2019, 6:22 PM
BPirkle updated the task description. (Show Details)Oct 30 2019, 10:12 PM

Change 547340 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[mediawiki/tools/api-testing@master] Rename REST history count types

https://gerrit.wikimedia.org/r/547340

Change 547340 merged by jenkins-bot:
[mediawiki/tools/api-testing@master] Rename REST history count types

https://gerrit.wikimedia.org/r/547340

eprodromou closed this task as Resolved.Nov 5 2019, 3:47 PM